import { SimpleLocalClient } from '../../core/index.js';
import type { IEcowittConfig } from './ecowitt.types.js';
import { ecowittProfile } from './ecowitt.types.js';

export class EcowittClient extends SimpleLocalClient<IEcowittConfig> {
  constructor(configArg: IEcowittConfig) {
    super(ecowittProfile, configArg);
  }
}
